# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/net-analyzer/openvas/openvas-4.ebuild,v 1.1 2011/10/09 17:40:24 hanno Exp $

EAPI=4

DESCRIPTION="A remote security scanner"
HOMEPAGE="http://www.openvas.org/"
DEPEND=">=net-analyzer/openvas-libraries-6_beta
	>=net-analyzer/openvas-scanner-3.4_beta
	>=net-analyzer/openvas-manager-4.0_beta
	>=net-analyzer/openvas-administrator-1.3_beta
	>=net-analyzer/greenbone-security-assistant-4_beta"
#	>=net-analyzer/openvas-cli-1.1.2
#	>=net-analyzer/greenbone-security-desktop-1.2.0
RDEPEND="${DEPEND}"
SLOT="0"
LICENSE="GPL-2"
KEYWORDS="~amd64 ~x86"
IUSE=""

pkg_postinst() {
	elog "You might want to configure the password policy in"
	elog "/etc/openvas/pwpolicy.conf now"
	elog
	elog "In order to start Openvas you need to follow these steps:"
	elog "1. Download/update plugins with 'openvas-nvt-sync'"
	elog "2. Generate a server certificate with 'openvas-mkcert'"
	elog "3. Create a client certificate with"
	elog "   'openvas-mkcert-client -n om -i'"
	elog "4. Start the OpenVAS scanner with '/etc/init.d/openvassd start'"
	elog "5. Rebuild an OpenVAS manager database with 'openvasmd --rebuild'"
	elog "6. Create an OpenVAS administrator user with"
	elog "   'openvasad -c 'add_user' -n [username] -r Admin'"
	elog "7. Start the OpenVAS manager with '/etc/init.d/openvasmd start'"
	elog "8. Start the OpenVAS administrator with '/etc/init.d/openvasad start'"
	elog "9. Start the Greenbone Security Assistant with '/etc/init.d/gsad start'"
	elog
	elog "Or run 'emerge --config openvas' to create certificates and sync"
	elog "the plugins"
}

pkg_config() {
	openvas-nvt-sync
	openvas-mkcert
	openvas-mkcert-client -n om -i
	/etc/init.d/openvassd start || die "OpenVAS scanner failed to start"
	openvasmd --rebuild
	/etc/init.d/openvassd stop || die "OpenVAS scanner failed to start"
}
